<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3166
Name: Dermatologisches Konsil Feedback Konsiliar
Description: Feedback des Konsilars zum dermatologischen Konsill
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3166-2020-04-06T180437">
   <title>Dermatologisches Konsil Feedback Konsiliar</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3166
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]
Item: (FeedbackKonsiliarDermatologie)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3166
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]"
         id="d41e3983-false-d28367e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3166']) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:templateId[@root = '1.2.276.0.76.10.3166'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3166']) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:templateId[@root = '1.2.276.0.76.10.3166'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:id) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:text) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:text) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]]) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]]) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]]) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]]) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3166
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]/hl7:templateId[@root = '1.2.276.0.76.10.3166']
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]/hl7:templateId[@root = '1.2.276.0.76.10.3166']"
         id="d41e3985-false-d28437e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackKonsiliarDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="string(@root) = ('1.2.276.0.76.10.3166')">(FeedbackKonsiliarDermatologie): Der Wert von root MUSS '1.2.276.0.76.10.3166' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3166
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]/hl7:id
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]/hl7:id"
         id="d41e3990-false-d28451e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackKonsiliarDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3166
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]/hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]/hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e3992-false-d28462e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackKonsiliarDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="@nullFlavor or (@code='74466-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Feedback to user')">(FeedbackKonsiliarDermatologie): Der Elementinhalt MUSS einer von 'code '74466-4' codeSystem '2.16.840.1.113883.6.1' displayName='Feedback to user'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3166
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]/hl7:title[not(@nullFlavor)]
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]/hl7:title[not(@nullFlavor)]"
         id="d41e3997-false-d28478e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackKonsiliarDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="text()='Feedback des Konsiliars'">(FeedbackKonsiliarDermatologie): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Feedback des Konsiliars'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3166
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]/hl7:text
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]/hl7:text"
         id="d41e4003-false-d28492e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackKonsiliarDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3166
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]]
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]]"
         id="d41e4006-false-d28506e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="string(@typeCode) = ('COMP')">(FeedbackKonsiliarDermatologie): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3166
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]]
Item: (FeedbackKonsiliarDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3166']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]]"
         id="d41e4013-false-d28536e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="string(@typeCode) = ('COMP')">(FeedbackKonsiliarDermatologie): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]) &gt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3166-2020-04-06T180437.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]) &lt;= 1">(FeedbackKonsiliarDermatologie): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']] kommt zu häufig vor [max 1x].</assert>
   </rule>
</pattern>
