<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.33
Name: Fragestellung des Konsils Section
Description: Dieser Abschnitt enthält die konkrete (medizinische) Fragestellung bzw. Grund für ein Konsil
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804">
   <title>Fragestellung des Konsils Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.33
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]]
Item: (ReasonForReferral_konsab)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.33
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]
Item: (ReasonForReferral_konsab)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]"
         id="d41e15403-false-d165325e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']) &gt;= 1">(ReasonForReferral_konsab): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']) &lt;= 1">(ReasonForReferral_konsab): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804.html"
              test="count(hl7:code[(@code = '42349-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(ReasonForReferral_konsab): Element hl7:code[(@code = '42349-1' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804.html"
              test="count(hl7:code[(@code = '42349-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(ReasonForReferral_konsab): Element hl7:code[(@code = '42349-1' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(ReasonForReferral_konsab): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(ReasonForReferral_konsab): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(ReasonForReferral_konsab): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(ReasonForReferral_konsab): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.33
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']
Item: (ReasonForReferral_konsab)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']"
         id="d41e15405-false-d165368e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonForReferral_konsab): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.33')">(ReasonForReferral_konsab): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.33' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.33
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]/hl7:code[(@code = '42349-1' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (ReasonForReferral_konsab)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]/hl7:code[(@code = '42349-1' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e15410-false-d165383e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonForReferral_konsab): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804.html"
              test="@nullFlavor or (@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Reason for referral (narrative)')">(ReasonForReferral_konsab): Der Elementinhalt MUSS einer von 'code '42349-1' codeSystem '2.16.840.1.113883.6.1' displayName='Reason for referral (narrative)'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.33
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]/hl7:title[not(@nullFlavor)]
Item: (ReasonForReferral_konsab)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]/hl7:title[not(@nullFlavor)]"
         id="d41e15415-false-d165399e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804.html"
              test="text()='Fragestellung'">(ReasonForReferral_konsab): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Fragestellung'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.33
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]/hl7:text[not(@nullFlavor)]
Item: (ReasonForReferral_konsab)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.33']]/hl7:text[not(@nullFlavor)]"
         id="d41e15421-false-d165410e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonForReferral_konsab): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
