<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.40
Name: Hautveränderung Aussehen
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840">
   <title>Hautveränderung Aussehen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.40
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]]
Item: (HautveraenderungAussehen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.40
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]
Item: (HautveraenderungAussehen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]"
         id="d41e15599-false-d165834e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840.html"
              test="string(@classCode) = ('OBS')">(HautveraenderungAussehen): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840.html"
              test="string(@moodCode) = ('EVN')">(HautveraenderungAussehen): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']) &gt;= 1">(HautveraenderungAussehen): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']) &lt;= 1">(HautveraenderungAussehen): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840.html"
              test="count(hl7:code[(@code = 'AUSSEHEN' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9')]) &gt;= 1">(HautveraenderungAussehen): Element hl7:code[(@code = 'AUSSEHEN' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840.html"
              test="count(hl7:code[(@code = 'AUSSEHEN' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9')]) &lt;= 1">(HautveraenderungAussehen): Element hl7:code[(@code = 'AUSSEHEN' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840.html"
              test="count(hl7:text) &gt;= 1">(HautveraenderungAussehen): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840.html"
              test="count(hl7:text) &lt;= 1">(HautveraenderungAussehen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.40
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']
Item: (HautveraenderungAussehen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']"
         id="d41e15605-false-d165881e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HautveraenderungAussehen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.40')">(HautveraenderungAussehen): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.40' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.40
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]/hl7:id
Item: (HautveraenderungAussehen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]/hl7:id"
         id="d41e15610-false-d165895e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HautveraenderungAussehen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.40
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]/hl7:code[(@code = 'AUSSEHEN' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9')]
Item: (HautveraenderungAussehen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]/hl7:code[(@code = 'AUSSEHEN' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9')]"
         id="d41e15612-false-d165906e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HautveraenderungAussehen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840.html"
              test="@nullFlavor or (@code='AUSSEHEN' and @codeSystem='2.16.840.1.113883.3.1937.777.26.5.9' and @displayName='Veränderung des Aussehens')">(HautveraenderungAussehen): Der Elementinhalt MUSS einer von 'code 'AUSSEHEN' codeSystem '2.16.840.1.113883.3.1937.777.26.5.9' displayName='Veränderung des Aussehens'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.40
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]/hl7:text
Item: (HautveraenderungAussehen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.40']]/hl7:text"
         id="d41e15618-false-d165922e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HautveraenderungAussehen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
