<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.39
Name: Hautveränderung Farbe
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929">
   <title>Hautveränderung Farbe</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.39
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]]
Item: (HautveraenderungFarbe)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.39
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]
Item: (HautveraenderungFarbe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]"
         id="d41e15525-false-d165702e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="string(@classCode) = ('OBS')">(HautveraenderungFarbe): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="string(@moodCode) = ('EVN')">(HautveraenderungFarbe): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']) &gt;= 1">(HautveraenderungFarbe): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']) &lt;= 1">(HautveraenderungFarbe): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="count(hl7:code[(@code = 'FARBE' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9')]) &gt;= 1">(HautveraenderungFarbe): Element hl7:code[(@code = 'FARBE' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="count(hl7:code[(@code = 'FARBE' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9')]) &lt;= 1">(HautveraenderungFarbe): Element hl7:code[(@code = 'FARBE' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="count(hl7:text) &lt;= 1">(HautveraenderungFarbe): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(HautveraenderungFarbe): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(HautveraenderungFarbe): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.39
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']
Item: (HautveraenderungFarbe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']"
         id="d41e15531-false-d165755e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HautveraenderungFarbe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.39')">(HautveraenderungFarbe): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.39' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.39
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]/hl7:id
Item: (HautveraenderungFarbe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]/hl7:id"
         id="d41e15536-false-d165769e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HautveraenderungFarbe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.39
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]/hl7:code[(@code = 'FARBE' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9')]
Item: (HautveraenderungFarbe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]/hl7:code[(@code = 'FARBE' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.9')]"
         id="d41e15538-false-d165780e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HautveraenderungFarbe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="@nullFlavor or (@code='FARBE' and @codeSystem='2.16.840.1.113883.3.1937.777.26.5.9' and @displayName='Veränderung der Farbe')">(HautveraenderungFarbe): Der Elementinhalt MUSS einer von 'code 'FARBE' codeSystem '2.16.840.1.113883.3.1937.777.26.5.9' displayName='Veränderung der Farbe'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.39
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]/hl7:text
Item: (HautveraenderungFarbe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]/hl7:text"
         id="d41e15544-false-d165796e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HautveraenderungFarbe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.39
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]/hl7:value[not(@nullFlavor)]
Item: (HautveraenderungFarbe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.39']]/hl7:value[not(@nullFlavor)]"
         id="d41e15546-false-d165806e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HautveraenderungFarbe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
